package com.emr.vo.codeType;

import java.util.Date;

/**
 * @ProjectName:
 * @Description:
 * @Param 传输参数
 * @Return
 * @Author: 曾文和
 * @CreateDate: 2019/6/11 11:13
 * @UpdateUser: 曾文和
 * @UpdateDate: 2019/6/11 11:13
 * @UpdateRemark: 更新说明
 * @Version: 1.0
 */
public class CodeTree {
    private Integer id;

    private Integer parentId;

    private String name;

    private Integer selfId;

    private String typeFlag;

    private String typeName;

    private Integer effective;

    private Short operateNo;

    private String operateCode;

    private String operateName;

    private Date operateDate;

    private String operator;

    private String assistant1;

    private String assistant2;

    private String assistant3;

    private String anaesthesiaType;

    private String cut;

    private String anaesthesiaName;

    private String operCode;

    private String operName;

    private Date operDate;

    private String operateClass;

    private String operateDateStr;//手术日期中文格式

    private String operDateStr;//录入时间

    private Short diagNo;

    private String diagCode;

    private String diagName;

    private String diagType;

    private String disThing;

    private String pathologyCut;

    private String xRay;

    private Short herbNo;

    private String herbCode;

    private String herbName;

    private String herbType;

    private String herbThing;

    public Short getDiagNo() {
        return diagNo;
    }

    public void setDiagNo(Short diagNo) {
        this.diagNo = diagNo;
    }

    public String getDiagCode() {
        return diagCode;
    }

    public void setDiagCode(String diagCode) {
        this.diagCode = diagCode;
    }

    public String getDiagName() {
        return diagName;
    }

    public void setDiagName(String diagName) {
        this.diagName = diagName;
    }

    public String getDiagType() {
        return diagType;
    }

    public void setDiagType(String diagType) {
        this.diagType = diagType;
    }

    public String getDisThing() {
        return disThing;
    }

    public void setDisThing(String disThing) {
        this.disThing = disThing;
    }

    public String getPathologyCut() {
        return pathologyCut;
    }

    public void setPathologyCut(String pathologyCut) {
        this.pathologyCut = pathologyCut;
    }

    public String getxRay() {
        return xRay;
    }

    public void setxRay(String xRay) {
        this.xRay = xRay;
    }

    public Short getHerbNo() {
        return herbNo;
    }

    public void setHerbNo(Short herbNo) {
        this.herbNo = herbNo;
    }

    public String getHerbCode() {
        return herbCode;
    }

    public void setHerbCode(String herbCode) {
        this.herbCode = herbCode;
    }

    public String getHerbName() {
        return herbName;
    }

    public void setHerbName(String herbName) {
        this.herbName = herbName;
    }

    public String getHerbType() {
        return herbType;
    }

    public void setHerbType(String herbType) {
        this.herbType = herbType;
    }

    public String getHerbThing() {
        return herbThing;
    }

    public void setHerbThing(String herbThing) {
        this.herbThing = herbThing;
    }

    public String getOperDateStr() {
        return operDateStr;
    }

    public void setOperDateStr(String operDateStr) {
        this.operDateStr = operDateStr;
    }

    public String getOperateDateStr() {
        return operateDateStr;
    }

    public void setOperateDateStr(String operateDateStr) {
        this.operateDateStr = operateDateStr;
    }

    public Short getOperateNo() {
        return operateNo;
    }

    public void setOperateNo(Short operateNo) {
        this.operateNo = operateNo;
    }

    public String getOperateCode() {
        return operateCode;
    }

    public void setOperateCode(String operateCode) {
        this.operateCode = operateCode;
    }

    public String getOperateName() {
        return operateName;
    }

    public void setOperateName(String operateName) {
        this.operateName = operateName;
    }

    public Date getOperateDate() {
        return operateDate;
    }

    public void setOperateDate(Date operateDate) {
        this.operateDate = operateDate;
    }

    public String getOperator() {
        return operator;
    }

    public void setOperator(String operator) {
        this.operator = operator;
    }

    public String getAssistant1() {
        return assistant1;
    }

    public void setAssistant1(String assistant1) {
        this.assistant1 = assistant1;
    }

    public String getAssistant2() {
        return assistant2;
    }

    public void setAssistant2(String assistant2) {
        this.assistant2 = assistant2;
    }

    public String getAssistant3() {
        return assistant3;
    }

    public void setAssistant3(String assistant3) {
        this.assistant3 = assistant3;
    }

    public String getAnaesthesiaType() {
        return anaesthesiaType;
    }

    public void setAnaesthesiaType(String anaesthesiaType) {
        this.anaesthesiaType = anaesthesiaType;
    }

    public String getCut() {
        return cut;
    }

    public void setCut(String cut) {
        this.cut = cut;
    }

    public String getAnaesthesiaName() {
        return anaesthesiaName;
    }

    public void setAnaesthesiaName(String anaesthesiaName) {
        this.anaesthesiaName = anaesthesiaName;
    }

    public String getOperCode() {
        return operCode;
    }

    public void setOperCode(String operCode) {
        this.operCode = operCode;
    }

    public String getOperName() {
        return operName;
    }

    public void setOperName(String operName) {
        this.operName = operName;
    }

    public Date getOperDate() {
        return operDate;
    }

    public void setOperDate(Date operDate) {
        this.operDate = operDate;
    }

    public String getOperateClass() {
        return operateClass;
    }

    public void setOperateClass(String operateClass) {
        this.operateClass = operateClass;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getParentId() {
        return parentId;
    }

    public void setParentId(Integer parentId) {
        this.parentId = parentId;
    }

    public Integer getSelfId() {
        return selfId;
    }

    public void setSelfId(Integer selfId) {
        this.selfId = selfId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getTypeFlag() {
        return typeFlag;
    }

    public void setTypeFlag(String typeFlag) {
        this.typeFlag = typeFlag;
    }

    public String getTypeName() {
        return typeName;
    }

    public void setTypeName(String typeName) {
        this.typeName = typeName;
    }

    public Integer getEffective() {
        return effective;
    }

    public void setEffective(Integer effective) {
        this.effective = effective;
    }
}
